This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1018470 - asks me for bugzilla id, does not like @
asks me for bugzilla id, does not like @
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-12 06:41 EDT by paolo borelli
Modified: 2015-02-05 06:04 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-05 06:04:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paolo borelli 2013-10-12 06:41:37 EDT
(I am not sure if this is in anaconda itself, or if it is managed by abrt or something else)

I was trying the new new fedora 20 alpha and the custom partitioning stuff crashed and gave me a traceback... I wanted to be a good citizen so I decided to click on "report a bug" and the installer asked me to enter my id for bugzilla.redhat.com, which I assume is my mail address, but the text entry does not let me type "@"
Comment 1 Jakub Filak 2013-10-14 09:57:14 EDT
libreport uses GtkEntry widget [1], [2] and does not configure the widget to prevent you from typing any character. Reassigning from libreport to gtk3.


[1]: https://github.com/abrt/libreport/blob/master/src/gui-wizard-gtk/wizard.c#L1627
[2]: https://github.com/abrt/libreport/blob/master/src/gtk-helpers/event_config_dialog.c#L124
Comment 2 Matthias Clasen 2013-12-05 07:42:12 EST
There's no problem at all with accepting @ characters.
You will have to do some debugging on your side, and not just point me at your source and expect me to do it for you.
Comment 3 Jakub Filak 2013-12-06 08:40:54 EST
@paolo borelli:
Since neither gtk3 nor libreport consciously prevents you from typing '@', I need to know the answers for the following questions.

How about other special characters?
What keyboard layout did you choose?
What kind of keyboard are you using?
Comment 4 paolo borelli 2013-12-06 09:41:24 EST
I am using an italian keyboard and I selected the italian layout (or at least I hope so). I cannot retest right now with other characters
Comment 5 Jakub Filak 2015-02-05 04:58:07 EST
I couldn't reproduce this with an italian layout. Can you please retest now?
Comment 6 paolo borelli 2015-02-05 05:49:51 EST
Sorry, I cannot really easily retest this now.

I guess if it works for everybody else let's just close this and if it happens again next time I do an install from scratch I'll reopen it
Comment 7 Jakub Filak 2015-02-05 06:04:31 EST
Thank you! Closing per comment #6

Note You need to log in before you can comment on or make changes to this bug.